import greenfoot.*;  
import java.awt.Color;

public class PowerUp extends SmoothMover
{
    int powerID, speed, radius;
    GreenfootImage circle;
    
    public PowerUp (int sideChoose) 
    {
        switch(sideChoose) 
        {
            case 0: this.setRotation(180);
            break;
            case 1: this.setRotation(270);
            break;
            case 2: this.setRotation(0);
            break;
            case 3: this.setRotation(90);
            break;
        }
        powerID = Greenfoot.getRandomNumber(4);
        speed = Greenfoot.getRandomNumber(7) + 1;
        radius = 20;
        circle = new GreenfootImage(radius, radius);
        circle.setColor(Color.YELLOW);
        circle.fillOval(0, 0, radius, radius);
        this.setImage(circle);
    }
    
    public void act() 
    {
        moveSelf();
        setRotation(getRotation() + (Greenfoot.getRandomNumber(4) - 2));
    }    

    public void moveSelf() 
    {
        if (((Background) getWorld()).timeSlowActive == true) 
        {
            move(speed * 0.25);
        } else {
            move(speed);
        }
    }
}
